﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CheckBox_column_check_all_from_external_button.aspx.cs" Inherits="CheckBox_column_check_all_from_external_button" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function CertificarRows(sender, args) {
                var grid = $find('<%= RadGrid1.ClientID %>');
                var masterTable = grid.get_masterTableView();

                // add a reference to batchEditingManager
                var batchEditingManager = grid.get_batchEditingManager();

                for (var row = 0; row < masterTable.get_dataItems().length; row++) {

                    // var currentRow = masterTable.get_dataItems()[0]; // this line will always reference the first row in the current page

                    var currentRow = masterTable.get_dataItems()[row]; // pass the "row" index variable here to access the rows with an increasing index number

                    var cell = masterTable.getCellByColumnUniqueName(currentRow, "column6");
                    batchEditingManager.changeCellValue(cell, true);
                }
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>

        <div>
            <telerik:RadButton ID="RadButton1" runat="server" Text="Select All" AutoPostBack="false" OnClientClicked="CertificarRows"></telerik:RadButton>
            <br />
            <br />
            <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
                GridLines="None" Width="800px" OnNeedDataSource="RadGrid1_NeedDataSource">
                <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID" EditMode="Batch">
                    <Columns>
                        <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                            FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                            ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                        </telerik:GridBoundColumn>
                        <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                            FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                            SortExpression="OrderDate" UniqueName="OrderDate">
                        </telerik:GridDateTimeColumn>
                        <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                            FilterControlAltText="Filter Freight column" HeaderText="Freight"
                            SortExpression="Freight" UniqueName="Freight">
                        </telerik:GridNumericColumn>
                        <telerik:GridBoundColumn DataField="ShipName"
                            FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                            SortExpression="ShipName" UniqueName="ShipName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ShipCountry"
                            FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                            SortExpression="ShipCountry" UniqueName="ShipCountry">
                        </telerik:GridBoundColumn>
                        <telerik:GridCheckBoxColumn ItemStyle-CssClass="checkBoxCol" DataField="IsChecked" DataType="System.Boolean" FilterControlAltText="Filter IsChecked column" HeaderText="Select" UniqueName="column6">
                            <HeaderStyle Width="80px" BackColor="#E8FFEA" />
                            <ItemStyle HorizontalAlign="Center" />
                        </telerik:GridCheckBoxColumn>
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
        </div>
    </form>
</body>
</html>
